package bolt

type Option func(b *bolt)

type LogLevel int

const (
	LogLevelAll LogLevel = iota //logs all messages, and errors
	LogLevelCmd LogLevel = iota //log only commands and responses, and errors
	LogLevelErr LogLevel = iota //logs only errors
)

// sets the substring that must be present at the beginning of the message to indicate a command
func WithIndicator(i string) Option {
	return func(b *bolt) {
		b.indicator = i
	}
}

// sets the log level to determine how much bolt logs
func WithLogLevel(lvl LogLevel) Option {
	return func(b *bolt) {
		b.logLvl = lvl
	}
}
